package asd.td3;

/**
 * Une classe pour l'exercice 5 de la feuille 3.
 * On cacule rcursivement pour tout sites i et j le cot minimum de la
 * connexion du site i au site j, en passant ventuellement par d'autres
 * sites.
 */
public class Distance {

    private int[][] c; // c[i][j] = le cout de la connextion directe de i  j
                       // si elle existe, l'infini sinon

    private static int infini = -1;

    /**
     * Construit un objet qui reprsente les connexions directes possibles.
     * Paramtre : le tableau connexion tel que connexion[i][j] = le cot de
     * la connexion directe de i  j. S'il n'y a pas de connexion directe de
     * i  j, connexion[i][j] == infini.
     */
    public Distance(int[][] connexion) {
        c = connexion;
    }

    /**
     * Calcule le cot minimum de la connexion du site i au site j, en passant
     * ventuellement par d'autres sites.
     */
    public int cout(int i, int j) {
        return 0;
    }

    /**
     * Calcule le cot minimum de la connexion du site i au site j, en passant
     * ventuellement par des sites appartenant  [0..k-1].
     */
    private int cout(int i, int j, int k) {
        return 0;
    }
}
